import { scaleOrdinal, transition } from 'd3';


const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['darkred', 'orange']);

const rScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range([50, 15]);

const xPosition = (a, i) => i * 120 + 60;

export const fruitBowl = (selection, 
                          {fruits, height, onClick,
                           selectedFruit
                          }) => {
   
	const circles = selection.selectAll('circle')
  			.data(fruits, d => d.id);
  circles
  	.enter().append('circle')
  		.attr('cx', xPosition)
  		.attr('cy', height/2)
  		.attr('r', 0)
  	.merge(circles)
  		.attr('fill', d=> colorScale(d.type))
  		.attr('stroke-width', 5)
  		.attr('stroke',
            d => d.id === selectedFruit
            ? 'black'
            : 'none'
            )
  		.on('click', d => onClick(d.id))
  	.transition().duration(1000)
  		.attr('cx', xPosition)
  		.attr('r', d => rScale(d.type));
  		
  circles.exit()
 		.transition().duration(1000)
  		.attr('r', 0)
  	.remove();
  	
  	
	

  
 // text.append('text')
	//	.merge(groups.select('text'))
  	//	.text(d => d.type)
  	
};


